<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$codprodutor=$sessao->getVar('codprodutor');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$nivel=$sessao->getVar('nivel');
//echo(" Operador: $nomeOperador<br>");


if($nivel=='PRODUTOR'):
   $idEntidade=$codprodutor;
   $mensagemPrerrogativa="Quando o login é do produtor, informe a atribuição TCON <br>";
else:
   $idEntidade=$idLabo;
endif;




switch ($tela):
    case 'listar':
        echo '<h2>Técnicos cadastrados. Obs.:Mantenha apenas um ATIVO para cada atribuição.</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Atribuição</th><th>ativo</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new tecnico();
				$user->extras_select = "WHERE ret_id_labo=$idEntidade order by ret_nome ";
                $user->selecionaTudo($user);
                $contador=0;  
                while ($res = $user->retornaDados()):
                    $contador++;  
                    echo '<tr>';
                    printf('<td>%s',$res->ret_nome);
                    printf('
					<a href="?m=tecnico&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=tecnico&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=tecnico&t=excluir&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					</td>',$res->ret_id,$res->ret_id);
                    printf('<td>%s</td>',$res->ret_funcao);
                    printf('<td>%s</td>',$res->ret_ativo);
                    echo '</tr>';
                endwhile; 
                $sessao->setVar("controle",$contador);  
			    //se nao tem nenhum tecnico ainda
				if($contador==0):
                    echo '<tr>';
					printf('<td>%s</td>','Clique no sinal + ');
					printf('<td class="center"><a href="?m=tecnico&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a> </td>');
					printf('<td>%s</td>','-O-');
					printf('<td>%s</td>','-O-');
                    echo '</tr>';
				endif;				
				
				
				
				             
                ?>
            </tbody>
        </table>
        
        <?php        
    break;//final do case listar




    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Incluir um técnico no cadastro</h2>';
        if (isset($_POST['cadastrar'])):
            $user = new tecnico(array(
                'ret_nome'=>$_POST['nome'],
                'ret_cargo'=>$_POST['cargo'],
                'ret_municipio'=>$_POST['municipio'],
                'ret_endereco'=>$_POST['endereco'],
                'ret_crea'=>$_POST['crea'],
                'ret_renasem'=>$_POST['carteira'],
                'ret_ativo'=>$_POST['ativo'],
				'ret_id_labo'=>$idEntidade,
				'ret_funcao'=>'BOLE',
            ));
            //aqui confere para ver se ja tem o crea mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            if ($user->existeRegistro('ret_crea',$_POST['crea'])):
               // printMSG('Este crea já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=tecnico&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       ret_nome:{required:true, minlength:3},
                       ret_crea:{required:true, crea:true},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                     <table>
					<tr>
                      <td>Nome:</td>
                      <td><input type="text" size="40" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" /></td>
					</tr>
					<tr>
                      <td>Endereço:</td>
                      <td><input type="text" size="40" name="endereco"  value="<?php if($resbd) echo $resbd->ret_endereco; ?>" /></td>
					</tr>


					<tr>
                      <td>Municipio:</td>
                      <td><input type="text" size="40" name="municipio"  value="<?php if($resbd) echo $resbd->ret_municipio; ?>" /></td>
					</tr>
					<tr>
                      <td>Cargo:</td>
                      <td><input type="text" size="40" name="cargo"  value="<?php if($resbd) echo $resbd->ret_cargo; ?>" /></td>
					</tr>

					<tr>
                      <td>Credencial:</td>
					  <td><input type="text" size="40" name="carteira" value="<?php if($resbd) echo $resbd->ret_renasem; ?>" /></td>
                      <td>Crea:</td>
					  <td><input type="text" size="20" name="crea" value="<?php if($resbd) echo $resbd->ret_crea; ?>" /></td>
					</tr>
					<tr>
                      <td>Assinatura:</td>
					  <td>
					  <input type="radio" name="assinatura" value="SIM"  checked   >Com assinatura
                      <input type="radio" name="assinatura" value="NAO"            >Sem assinatura
					  </td>
                      <td>Status:</td>
                      <td>
					  <input type="radio" name="ativo" value="SIM"  checked     >Ativado
                      <input type="radio" name="ativo" value="NAO"              >Desativado
					  </td>
					</tr>
					</table>
					Orientação: Lance nesta tela os dados principais e se houver mais dados ou precisar editar , então use a tela de edição.

                    <ul>
                    <li class="center"><input type="button" onclick="location.href='?m=tecnico&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;//final do case incluir

    case 'excluir':
        echo '<h2>Excluir tecnicos</h2>';
		$contagem=$sessao->getVar('controle');
		echo(" contagem=$contagem<br>");
        if($contagem>5):
	        $ret_id = $_GET['id'];
			echo("codigo do tecnico : id=$ret_id contagem=$contagem<br>");
	        //aqui vai deletar		
		    $generica=new tabelagenerica();
			$sql = "delete from resptecnico where ret_id=".$ret_id ;
			$generica->grava_registro_com_retorno($sql);
			printMSG('Deletou técnico. <a href="?m=tecnico&t=listar">Exibir cadastros</a>','alerta');
        else:
			printMSG('Para evitar transtorno, o sistema obriga manter alguns técnicos. <a href="?m=tecnico&t=listar">Exibir cadastros</a>','alerta');
		endif;
    break;//final do case excluir	




    case 'editar':
        echo '<h2>Edição de técnico</h2>'.$mensagemPrerrogativa;
        $sessao = new sessao();
		if(isset($_POST['bt_manual'])):
	       echo '<iframe src="manual2010.php?opcaoManual=editartecnico" style="border:0" width="100%" height="350"></iframe>';//funciona
 	    endif;	
		if(isset($_POST['bt_manual_ajuda_upload'])):
	       echo '<iframe src="manual2010.php?opcaoManual=uploadAssinaturaTecnico" style="border:0" width="100%" height="350"></iframe>';//funciona
 	    endif;	
		
if(isset($_POST['bt_upload'])):
    $sessao = new sessao();
    $arquivoFinal=$sessao->getVar('controle1');
    echo("Fazendo upload de assinatura! $arquivoFinal <br>");
	$teste=$_FILES['arquivo'];
	//echo("loade inicio=".$teste ."  final <br>");
	if( $_FILES ): // Verificando se existe o envio de arquivos.
		//echo("Loade inicio=".$uploadfile ."  final<br>");
		if( $_FILES['arquivo'] ): // Verifica se o campo não está vazio.
			//echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
			//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
			//isto funciona local
			//$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/ImagensClientes/';
			//isso funciona web
			$dir = $_SERVER['BASEURL'] .'ImagensClientes/';
			//$dir = 'http://gugeler.net/semente2013/php/paineladm/Imagens/';
			$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
			//assim funciona
			$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
			$nameDirecionado='ImagensClientes/'.$arquivoFinal;
			
			//assim funciona mas nao troca o nome do arquivo final
			//if( move_uploaded_file( $tmpName, $name ) ): // move_uploaded_file irá realizar o envio do arquivo.		
			//exemplo americano:  move_uploaded_file($_FILES["file"]["tmp_name"],"/path/file/saved/to/logo.jpg";		
	
            //if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$dir."imagemVigorS.jpg"))://funciona e troca o nome do arquivo final			
            if(move_uploaded_file($_FILES["arquivo"]["tmp_name"],$nameDirecionado))://funciona e troca o nome do arquivo final			
			    // Em caso de sucesso, retorna para a página de sucesso.
				printMSG('Upload realizado com sucesso! '.$nameDirecionado ."  redirecionado para " . $nameDirecionado,'alerta');		
			else:
			   printMSG('Não foi possível fazer upload!','alerta'); 
			endif;//verificacao fianal para ver se foi enviado com sucesso
		endif;//fecha o if que testa se o arquivo ffoi localizado
    endif;//fecha o if Verificando se existe o envio de arquivos.		
		
endif; //isset do botao upload		

            if (isset($_GET['id'])):
                $id = $_GET['id'];
				$arquivo='a'.$id.'.JPG';
				$sessao->setVar('controle1',$arquivo);
                if (isset($_POST['editar'])):
                    $user = new tecnico(array(
                        'ret_nome'=>$_POST['nome'],
                        'ret_crea'=>$_POST['crea'],
                        'ret_renasem'=>$_POST['carteira'],
                        'ret_assinatura'=>$_POST['assinatura'],
                        'ret_ativo'=>$_POST['ativo'],
                        'ret_municipio'=>$_POST['municipio'],
                        'ret_endereco'=>$_POST['endereco'],
                        'ret_cargo'=>$_POST['cargo'],
                        'ret_cpf'=>$_POST['cpf'],
                        'ret_telefone'=>$_POST['telefone'],
                        'ret_cep'=>$_POST['cep'],
                        'ret_email'=>$_POST['email'],
                        'ret_funcao'=>$_POST['atribuicao'],
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE ret_id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->ret_crea != $_POST['crea']):
                        if ($user->existeRegistro('ret_crea',$_POST['crea'])):
                           // printMSG('Este crea já existe no sistema, escolha outro endereço!','erro');
                           // $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=tecnico&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=tecnico&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new tecnico();
                $userbd->extras_select = "WHERE ret_id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
				$assinatura=$resbd->ret_assinatura;
				$chequeAssinado1="";
				$chequeAssinado2="";
                if($assinatura=='SIM')
				{
    				$chequeAssinado1="checked"; 
				}
				else
				{
    				$chequeAssinado2="checked"; 
				}
				$ativo=$resbd->ret_ativo;
				$chequeAtivado1="";
				$chequeAtivado2="";
                if($ativo=='SIM')
				{
    				$chequeAtivado1="checked"; 
				}
				else
				{
    				$chequeAtivado2="checked"; 
				}
				
				
            else:
                printMSG('cliente não definido, <a href="?m=tecnico&t=listar">escolha um cliente para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           ret_nome:{required:true, minlength:3},
                           ret_crea:{required:true, crea:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <table>
					<tr>
                      <td>Nome:</td>
					  <td><input type="text" size="40"  maxlength="60"  name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->ret_nome; ?>" /></td>
                      <td>CPF:</td>
					  <td><input type="text" size="40" name="cpf"  value="<?php if($resbd) echo $resbd->ret_cpf; ?>" /></td>
				
					</tr>
					<tr>
                      <td>Endereço:</td>
					  <td><input type="text" size="40"  maxlength="60"  name="endereco"  value="<?php if($resbd) echo $resbd->ret_endereco; ?>" /></td>
					</tr>



					<tr>
                      <td>Municipio:</td>
					  <td><input type="text" size="40"  maxlength="60"  name="municipio"  value="<?php if($resbd) echo $resbd->ret_municipio; ?>" /></td>
                      <td>CEP:</td>
					  <td><input type="text" size="8"  maxlength="9"  name="cep"  value="<?php if($resbd) echo $resbd->ret_cep; ?>" /></td>
					</tr>
					<tr>

					<tr>
                      <td>Telefone:</td>
					  <td><input type="text" size="40"  maxlength="20"  name="telefone"  value="<?php if($resbd) echo $resbd->ret_telefone; ?>" /></td>
                      <td>email:</td>
					  <td><input type="text" size="40"   maxlength="40"  name="email"  value="<?php if($resbd) echo $resbd->ret_email; ?>" /></td>
					</tr>
					<tr>


                      <td>Cargo:</td>
					  <td><input type="text" size="40" name="cargo"  value="<?php if($resbd) echo $resbd->ret_cargo; ?>" /></td>
                      <td>Atribuição:</td>
					  <td>
					     <select name="atribuicao" value="">  
					   	 <option><?php if($resbd) echo $resbd->ret_funcao; ?></option>
					   		<option>BOLE</option>
					   		<option>TCON</option>
					   		<option>CER1</option>
					   		<option>CER2</option>
					   		<option>CER3</option>
					     </select>
						 <!--CER1=CERTIFICADOR   CERT2=TECNICO DO CERTIFICADOR  CER3=SEGUNDO TECNICO  DO CERTIFICADOR-->
					  </td>
					</tr>
					
					<tr>
                      <td>RENASEM:</td>
					  <td><input type="text" size="40" name="carteira" value="<?php if($resbd) echo $resbd->ret_renasem; ?>" /></td>
					  
                      <td>Crea:</td>
					  <td><input type="text" size="20" name="crea" value="<?php if($resbd) echo $resbd->ret_crea; ?>" /></td>
					</tr>
					
					
					
					<tr>
                      <td>
					  Assinatura:</td>
					  <td><input type="radio" name="assinatura" value="SIM"  <?php echo $chequeAssinado1; ?> >Com assinatura
                      <input type="radio" name="assinatura" value="NAO"  <?php echo $chequeAssinado2; ?> >Sem assinatura
					  </td>
					   <td>Status</td>
					  <td> <input type="radio" name="ativo" value="SIM"  <?php echo $chequeAtivado1; ?>       >Ativado
                      <input type="radio" name="ativo" value="NAO"  <?php echo $chequeAtivado2; ?>        >Desativado
					  </td>

					</tr>
					
					<tr>
					  <td>Arquivo assinatura:</td>
					  <td><?php echo $arquivo;?> Com tamanho:260x60px  </td>
					</tr>
					
					<tr>
					<td>Imagem:</td>  
					<td> <img src="ImagensClientes/<?php echo $arquivo;?>" width="260" height="60"  /> <!-- aqui funfa-->
					  </td>
                    <td>
					<input type="submit" name="bt_manual_ajuda_upload" value="AJUDA UPLOAD" /></li>
					</td>
	
					  
					  
					</tr>
					</table>
					Legenda:Atribuições->CER1=Certificador   CER2=Técnico do certificador  CER3=Segundo técnico do certificador<br>
				    É possivel fazer upload da assinatura. Clique em AJUDA UPLOAD para saber como fazer.<br>
					<ul>
                    <li class="center"><input type="button" onclick="location.href='?m=tecnico&t=listar'" value="Cancelar" /><input type="submit" name="editar" value="Salvar Alterações" />
					<input type="submit" name="bt_manual" value="Ajuda" /></li>

                    </ul>
                </fieldset>
            </form>
			
	<form class="userform" method="POST" action=""   enctype="multipart/form-data">
	<tr>
    <td><input type="file" name="arquivo" size="60" />
	<input type="submit" name="bt_upload" value="Upload da assinatura" /></td>
	</tr>
	</form> 
			
			
			
			
			
        <?php
    break;//case editar
	
	
 
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>